---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.22
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: dns-operator-f894b6c64-7xjh2
      namespace: openshift-dns-operator
      uid: 5cc1c47c-dbd8-4311-bf53-573804153657
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:27:57Z"
    creationTimestamp: "2025-10-27T11:18:30Z"
    generateName: metrics-
    generation: 5
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: metrics
      name: dns-operator
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"c48a20df-9493-4775-87a6-e00184d2ac17"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:27:57Z"
    name: metrics-dzlkl
    namespace: openshift-dns-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: metrics
      uid: c48a20df-9493-4775-87a6-e00184d2ac17
    resourceVersion: "44582"
    uid: 7085f434-10fc-4ee8-a35b-f887b81a5b50
  ports:
  - name: metrics
    port: 9393
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2219743"
